mbed TLS v2.16.5

Data Fields
mbedtls_chacha20_context Struct Reference

`#include <chacha20.h>`

## Data Fields
uint32_t | state [16]
uint8_t | keystream8 [64]
size_t | keystream_bytes_used

## Detailed Description

Definition at line 61 of file chacha20.h.

## Field Documentation

## ◆ keystream8

uint8_t mbedtls_chacha20_context::keystream8[64]

The state (before round operations).

Definition at line 64 of file chacha20.h.

## ◆ keystream_bytes_used

size_t mbedtls_chacha20_context::keystream_bytes_used

Leftover keystream bytes.

Definition at line 65 of file chacha20.h.

## ◆ state

uint32_t mbedtls_chacha20_context::state[16]

Definition at line 63 of file chacha20.h.

The documentation for this struct was generated from the following file:

- chacha20.h